# $Revision: 1.29 $, $Date: 2002/07/20 17:51:55 $
Summary:	Command for manipulating access control lists
Summary(pl):	Komenda do manipulacji listami kontroli dostpu (ACL)
Name:		acl
Version:	2.0.11
Release:	2
License:	GPL
Group:		Applications/System
Source0:	ftp://linux-xfs.sgi.com/projects/xfs/download/cmd_tars/%{name}-%{version}.src.tar.gz
Patch0:		%{name}-miscfix.patch
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	autoconf
BuildRequires:	attr-devel >= 2.0.0
Requires:	attr
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A command (chacl) to manipulate POSIX access control lists under
Linux.

%description -l pl
Komenda (chacl) do manipulowania zgodnymi z POSIX listami kontroli
dostpu (ACL) pod Linuksem.

%package devel
Summary:	Header files for acl library
Summary(pl):	Pliki nagwkowe biblioteki acl
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files to develop software which manipulate access control
lists.

%description devel -l pl
Pliki nagwkowe potrzebne do rozwoju oprogramowania manipulujcego
listami kontroli dostpu (ACL).

%package static
Summary:	Static acl library
Summary(pl):	Statyczna biblioteka acl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static acl library.

%description static -l pl
Statyczna biblioteka acl.

%prep
%setup  -q
%patch0 -p1

%build
DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}"; export DEBUG
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/acl

DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB
%{__make} install DIST_MANIFEST="$DIST_INSTALL"
%{__make} install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
%{__make} install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
rm -f	$RPM_BUILD_ROOT%{_mandir}/man3/{acl_copy_int,acl_set_fd,acl_set_file}.3
rm -f	$RPM_BUILD_ROOT%{_mandir}/man3/{acl_to_short_text,acl_to_text}.3
echo ".so acl_copy_ext.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/acl_copy_int.3
echo ".so acl_get_fd.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/acl_set_fd.3
echo ".so acl_get_file.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/acl_set_file.3
echo ".so acl_from_text.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/acl_to_short_text.3
echo ".so acl_from_text.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/acl_to_text.3

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.so
ln -sf /lib/libacl.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/libacl.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/CHANGES
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) /lib/lib*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/acl
%{_includedir}/sys/*
%{_mandir}/man[235]/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: acl.spec,v $
Revision 1.29  2002/07/20 17:51:55  qboosh
- separated -static; release 2

Revision 1.28  2002/07/20 13:51:30  areq
- 2.0.11, STBR
- new %doc

Revision 1.27  2002/05/26 10:24:58  baggins
- buildrequires attr-devel >= 2.0.0

Revision 1.26  2002/05/21 23:12:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/04/30 13:43:00  pioklo
-up to 2.0.9,STBR

Revision 1.24  2002/04/25 15:41:28  arturs
fixed a small typo

Revision 1.23  2002/04/09 15:24:17  ankry
- removed man section from .so redirections

Revision 1.22  2002/04/09 10:15:38  areq
- 2.0.4, STBR

Revision 1.21  2002/02/23 01:13:37  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/06 23:10:45  filon
- updated to 1.1.4 (bugfixes)

Revision 1.18  2002/01/18 02:12:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2002/01/03 18:12:40  baggins
- run ldconfig in %%post(un)

Revision 1.16  2002/01/02 18:42:33  baggins
- finished update to 1.1.3

Revision 1.15  2001/10/11 11:49:52  qboosh
- adapterized, BuildRequires: autoconf

Revision 1.14  2001/10/08 15:08:52  baggins
- updated to 1.1.3
- install is kinda b0rken

Revision 1.13  2001/06/04 15:54:12  baggins
- removed requires %%{name} from devel package (not needed)

Revision 1.12  2001/06/01 13:25:54  baggins
- added Requires %%{name} = %%{version} to devel package

Revision 1.11  2001/06/01 13:10:48  baggins
- updated to 1.0.4

Revision 1.10  2001/05/01 21:22:32  misiek
initial pld release

Revision 1.2  2001/05/01 20:48:38  misiek
manual pages added to devel subpackage

Revision 1.1  2001/05/01 20:46:51  misiek
utilities and library to manipulate extended attributes
